<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\PersonBundle\Notification\FlagProviders;

use Chill\MainBundle\Notification\FlagProviders\NotificationFlagProviderInterface;
use Symfony\Component\Translation\TranslatableMessage;
use Symfony\Contracts\Translation\TranslatableInterface;

class PersonAddressMoveNotificationFlagProvider implements NotificationFlagProviderInterface
{
    public const FLAG = 'person-move-notif';

    public function getFlag(): string
    {
        return self::FLAG;
    }

    public function getLabel(): TranslatableInterface
    {
        return new TranslatableMessage('notification.flags.person-address-move');
    }
}
